Subject: Re: [PATCH] git-cherry-pick: improve description of -x.

From: Ralf Wildenhues <[email-masked]>
Date: Mon, 22 Oct 2007 07:19:08 +0200

* Shawn O. Pearce wrote on Mon, Oct 22, 2007 at 07:14:53AM CEST:
> 
> I think you are right that the current behavior of -x *not*
> including the prior commit SHA-1 in the case of a conflict is wrong.
> The problem however is that git-commit.sh doesn't get the data
> necessary to preseve the original author name/email/date/tz unless
> you use the "-c $id" option.

But the note added by -x is even missing when I add "-c $id" to
the git-commit command!  That's the point I was trying to make,
and really the only thing that seemed weird to me.

Cheers,
Ralf